Create an eventAsk AIpost https://api.getknit.dev/v1.0/calendar.event.createAdds a new event to a specified calendar, supporting recurrence, virtual conferencing, and attendee details.Body ParamscalendarIdstringrequiredcalendarId is obtained from the List Calendars API.titlestringrequiredTitle of event for e.g. Daily StandupdescriptionstringA brief summary of the event.startobjectrequiredThe start time of the event. For all-day events, you can pass a date instead of dateTimestart objectendobjectrequiredThe end time of the event. For all-day events, you can pass a date instead of dateTimeend objectisAllDaybooleanDefaults to falseIn case of all day events pass date in start and end input.truefalserecurrencearray of objectsEvent recurrence: An array of RRULE and EXDATE strings, included only for the main event. See RFC 5545 for details - https://datatracker.ietf.org/doc/html/rfc5545#section-3.8.5recurrenceADD objectattendeesarray of objectsrequiredList of participants of eventattendees*ADD objectreminderarray of objectsA list of reminders for the event. If empty or omitted, provider defaults apply.reminderADD objectconferencingDetailsobjectAn object related to confrencing details in case of online meetingconferencingDetails objectmetaDatastringJSON-formatted string containing set of key-value attributes to provide additional dataResponses 200200 400400Updated 4 months ago